Skip to content
View as Markdown

PUT Update Campaign Title​

PUT
/campaigns/{id}/title

Update only the title of a campaign. For scheduled campaigns, optionally update the scheduled time as well. When the scheduled time changes, all unsent email records are rescheduled to the new time.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Path Parameters

id*

The campaign ID.

Type
integer
Required

Request Body​

application/json
JSON
{
"title": "string",
"scheduled_at": "string"
}

Responses​

Campaign title updated successfully.

application/json
JSON
{
"message": "string",
"campaign": {
"id": 0,
"title": "string",
"status": "string",
"scheduled_at": "string",
"created_at": "string",
"updated_at": "string"
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​

Powered by VitePress OpenAPI